﻿(function () {
    "use strict";

    angular.module('portalApp.directives')
        .directive('ngAlert', ngAlert);

    function ngAlert() {
        return {
            restrict: 'E',
            scope: {
                message: '=',
                type: '=',
                display: '=',
                spin: '='
            },
            template: '<div class="alert alert-{{type}} alert-sticky alert-dismissible" role="alert" ng-class="display === true ? \'fade in\' : \'fade\'">' +
                            '<button type="button" class="close" ng-click="display=false">' +
                                '<span aria-hidden="true">&times;</span>' +
                            '</button>' +
                            '<span>' +
                                '{{message}}' +
                                '&nbsp;<i ng-show="spin" class="fa fa-spinner fa-spin ng-animate-disabled"></i>' +
                            '</span>' +
                        '</div>'
        }
    }
})();