﻿(function () {
    "use strict";

    angular.module('portalApp.directives')
        .directive('sharpCheckbox', sharpCheckbox);

    function sharpCheckbox() {
        return {
            restrict: 'E',
            scope: {
                name: '@',
                label: '@',
                ngModel: '=',
                ngDisabled: '='
            },
            template: '<div class="checkbox checkbox-primary">' +
                        '<input tabindex="4" type="checkbox" class="filled" name="{{name}}" id="{{name}}" ng-model="ngModel" ng-disabled="ngDisabled" />' +
                        '<label for="{{name}}" translate>{{label}}</label>' +
                        '<div class="focus-animate"></div>' +
                      '</div>'
        }
    }
})();