﻿(function () {
    "use strict";

    angular.module('portalApp.directives')
        .directive('sharpCheckboxWithHyperlink', sharpCheckboxWithHyperlink);

    function sharpCheckboxWithHyperlink() {
        return {
            restrict: 'E',
            scope: {
                name: '@',
                label: '@',
                hlCondition: '=', // needs to be '=' to provide something else than a string i.e. boolean
                hlLabel: '@',
                hlSref: '@',
                ngModel: '=',
                ngDisabled: '='
            },
            template: '<div class="checkbox checkbox-primary">' +
                        '<input tabindex="4" type="checkbox" class="filled" name="{{name}}" id="{{name}}" ng-model="ngModel" ng-disabled="ngDisabled" />' +
                        '<label for="{{name}}" translate>{{label}}</label>' +
                        '<div class="focus-animate"></div>' +
                        '<div ng-if="hlCondition"> <a ui-sref="{{hlSref}}"translate>{{hlLabel}}</a></div>' +
                      '</div>'
        }
    }
})();