﻿(function () {
    "use strict";

    angular.module("portalApp.directives")
        .directive("gnCustomOnChange", customOnChange);
    
    //
    // Defines a function that will be called whenever a 'change' event is triggered
    //
    function customOnChange() {
      return {
        restrict: 'A',
        link: function (scope, element, attrs) {
          var onChangeHandler = scope.$eval(attrs.gnCustomOnChange);
          element.bind('change', onChangeHandler);
        }
      };
    }
})();