﻿(function () {
    "use strict";

    angular.module("portalApp.directives")
        .directive("gnDifferentFrom", differentFrom);

    //
    // Should document here how to use this directive
    //
    function differentFrom() {
        return {
            require: "ngModel",
            scope: {
                otherModelValue: "=gnDifferentFrom"
            },
            link: function (scope, element, attributes, ngModel) {

                ngModel.$validators.gnDifferentFrom = function (modelValue) {
                    return modelValue !== scope.otherModelValue;
                };

                scope.$watch("otherModelValue", function () {
                    ngModel.$validate();
                });
            }
        };
    }
})();