﻿//
// By setting this directive on an input control, it will set the focus to that field.
//
// Usage:
// <input name="theInput" is-focused>

(function () {
    "use strict";

    angular.module("portalApp.directives")
        .directive("isFocused", focus);

    focus.$inject = ["$timeout"];

    function focus($timeout) {
        return {
            restrict: "AC",
            link: function (scope, element) {
                $timeout(function () {
                    element[0].focus();
                }, 0);
            }
        }
    }
})();
