﻿(function () {
    "use strict";

    angular.module('portalApp.factories')
        .factory('ngClipboard', ngClipboard);

    function ngClipboard($compile, $rootScope, $document) {
        return {
            toClipboard: function (element) {

                var copyElement = angular.element('<pre id="ngClipboardCopyId">' + element + '</pre>');
                var body = $document.find('body').eq(0);
                body.append($compile(copyElement)($rootScope));

                var ngClipboardElement = angular.element(document.getElementById('ngClipboardCopyId'));
                console.log(ngClipboardElement);
                var range = document.createRange();

                range.selectNode(ngClipboardElement[0]);

                window.getSelection().removeAllRanges();
                window.getSelection().addRange(range);

                var successful = document.execCommand('copy');

                //var msg = successful ? 'successful' : 'unsuccessful';
                //console.log('Copying text command was ' + msg);
                window.getSelection().removeAllRanges();

                copyElement.remove();
            }
        }
    }
})();