﻿(function () {
    "use strict";
    
    angular.module("portalApp.localization")
    .config(config);

    config.$inject = ["$translateProvider"];

    function config($translateProvider) {

        // Language translations
        $translateProvider
                .useSanitizeValueStrategy("escape")
                .useStaticFilesLoader({
                    prefix: "/translations/language-",
                    suffix: ".json"
                })
                .preferredLanguage("en"); // defaults to English if requested language is not found
                // Do not log anymore when strings are missing since there are many cases where it leads to false positive:
                // It's only a matter of timing and the string eventually makes its way to the UI.
                //.useMissingTranslationHandlerLog();
    }
})();