﻿(function () {
    "use strict";

    angular.module("portalApp.directives")
        .directive("gnEqualsTo", equalsTo);

    //
    // Should document here how to use this directive
    //
    function equalsTo() {
        return {
            require: "ngModel",
            scope: {
                otherModelValue: "=gnEqualsTo"
            },
            link: function(scope, element, attributes, ngModel) {
             
                ngModel.$validators.gnEqualsTo = function(modelValue) {
                    return modelValue === scope.otherModelValue;
                };
 
                scope.$watch("otherModelValue", function() {
                    ngModel.$validate();
                });
            }
        };
    }
})();