﻿(function () {
    "use strict";

    angular.module('portalApp.directives')
        .directive('ngCopyable', ngCopyable);

    // Directive to be used on an element that will allow when click on the element to copy its content to clipboard
    function ngCopyable() {
        return {
            restrict: 'A',
            link: link
        };
        function link(scope, element, attrs) {
            element.bind('click', function () {

                var range = document.createRange();
                range.selectNode(element[0]);
                window.getSelection().removeAllRanges();
                window.getSelection().addRange(range);
                var successful = document.execCommand('copy');

                //var msg = successful ? 'successful' : 'unsuccessful';
                //console.log('Copying text command was ' + msg);
                window.getSelection().removeAllRanges();
            });
        }
    }
})();